/*
 * This module was created by Cliff Berg for research purposes only.
 * No warrantee of any kind is given or implied.
 */

package java.net;

import java.io.File;
import java.security.SecureClassLoader;

public class NullClassLoader extends SecureClassLoader
{
	private File classCacheDir;

	public NullClassLoader(File d)
	{
		super(ClassLoader.getSystemClassLoader());
		this.classCacheDir = d;
	}

	public File getClassCacheDir()
	{
		return classCacheDir;
	}
}
