/*
 * Copyright (c) 2001 by Cliff Berg.
 * This code may be used and distributed for research for purposes.
 * No warrantee of any kind is given or implied.
 */

package mc.rmi;

//import java.rmi.Remote;
import java.io.Serializable;

/**
 * Callback object which a RemoteUpdater uses to get information about
 * the object being updated. An instance of Requestor may extend this
 * type to add additional methods.
 */
public interface Requestor extends Serializable
{
	public int[] getServiceVersionNoRequestorHas();
	public Class getServiceInterfaceRequestorHas(); // Note: does this
		// load the interface?

	//public String getFullyServiceQualifiedServiceInterfaceName();
	//public int[] getRequestorVersionNo();
}
