# This module defines a Perl API for UDPBridge program that translates UDP datagrams
# into CORBA calls to Log interface.
package Log;

use Socket;
use Sys::Hostname;

my($iaddr, $proto, $paddr, $host, $port);

$port = 16500;
$host = "ALL-SYSTEMS.MCAST.NET";

$iaddr = gethostbyname($host);
$proto = getprotobyname('udp');
$paddr = sockaddr_in($port, $iaddr);

socket(SOCKET,PF_INET, SOCK_DGRAM, $proto) or die "Socket: $!";
connect(SOCKET, $paddr) or die "Connect: $!";

sub log
{
    defined(send(SOCKET, join('|', @_), 0)) or die "Send: $!";
}

1;



