public interface LogCapable
{
/** 
  This method will be called by the Log Service to log a remote message.
  <P>
  Please, note that this method should not be called directly
  (i.e., locally) by any program. At least, it was not intended.

  @param aHost Host name the application is running on
  @param aType Message type
  @param aSource Method name
  @param aMessage Text message
  */
    public void log(String aHost, String aType, String aSource, String aMessage);
}
