/*
 * Copyright (c) 2001 by Cliff Berg.
 * This code may be used and distributed for research for purposes.
 * No warrantee of any kind is given or implied.
 */

package mc.rmi;

import java.rmi.Remote;
import java.rmi.RemoteException;

public interface ServiceProvider extends Remote
{
	public static final String ServiceName = "updatesvc";

	public Service getNewInstance
	(
		String svcInterfaceName,
		Requestor requestor
	)
	throws
		CallerIsCurrent,
		NoUpdateAvailable,
	 	ServiceNotFound,
		RemoteException;
}
